#include <stdio.h>

// DECLARAÇÃO DA ESTRUTURA
struct forca {
	char palavra[20];
	char dica_01[50];
	char dica_02[50];
	char dica_03[50];
};

// DECLARAÇÃO DE FUNÇÕES
void criarArquivo(FILE *f);
int gravarEstrutura(FILE *f, struct forca a);

int main() {

	FILE *arq;
	int status;

	// DECLARANDO UMA VARIÁVEL DA NOVA ESTRUTURA CRIADA
	struct forca forc;

	// PREENCHENDO O CONJUNTO DE ATRIBUTOS DA ESTRUTURA (ESCREVENDO)
	printf("\nPalavra: ");
	 __fpurge(stdin); // fflush(stdin);
	gets(forc.palavra);	
	printf("Primeira Dica: ");
	__fpurge(stdin); // fflush(stdin);
	gets(forc.dica_01);
	printf("Segunda Dica: ");
	__fpurge(stdin); // fflush(stdin); 
	gets(forc.dica_02);
	printf("Terceira Dica: ");
	__fpurge(stdin); // fflush(stdin); 
	gets(forc.dica_03);
	
	// GRAVANDO A ESTRUTURA EM UM ARQUIVO (LENDO)
	criarArquivo(arq);
	status = gravarEstrutura(arq, forc);

	if(status != -1) {
		printf("================================================\n");
		printf("= A ESTRUTURA (FORCA) FOI GRAVADA COM SUCESSO! =\n");
		printf("================================================\n");
	}
	
	printf("\n\n");
	return 0;
}

void criarArquivo(FILE *f) {

	f = fopen("palavras.gea", "r");

	if(f == NULL) {
		f = fopen("palavras.gea", "w");
	}

	fclose(f);
}

int gravarEstrutura(FILE *f, struct forca a) {

	int aux;

	// f = fopen("palavras.gea", "ab+");
	f = fopen("palavras.txt", "a+");

	if(f == NULL) {
		printf("Não foi possível abrir o arquivo de palavras!");
		return -1;
	}

	else {
		aux = fwrite (&a, sizeof(struct forca), 1, f);
	}
	fclose(f);
}


